Subject: I2C eeprom compatibles? (was Re: [PATCH/RFC 03/19] ARM: shmobile: gose: add i2c2 bus to device tree)

From: [email-masked] (Wolfram Sang)
Date: Fri, 18 Dec 2015 08:35:32 +0100

On Fri, Dec 18, 2015 at 12:02:39PM +0900, Simon Horman wrote:
> On Mon, Dec 14, 2015 at 10:39:47AM +0100, Geert Uytterhoeven wrote:
> > On Mon, Dec 14, 2015 at 8:11 AM, Wolfram Sang <[email-masked]> wrote:
> > >> > >+  eeprom at 50 {
> > >> > >+          compatible = "renesas,24c02";
> > >> >
> > >> >    This is not a valid value -- the Renesas chip model is different from 24c02.
> > >>
> > >> I copied this value from r8a7791.dtsi.
> > >>
> > >> Looking at the schematic for gose (v100), koelsch (rev024) and porter (v300)
> > >> I see the following "R1EX24002ATAS0G#U0". Shall we update r8a7791 and
> > >> this patch to "renesas,24002" or leave things as is?
> > >
> > > I wouldn't like to update the at24 driver with all namings from all
> > > vendors for chips which in large cases are simple 24c02 devices.
> > >
> > > So, if Sergei insists on the change, I'd propose
> > >
> > >         compatible = "renesas,24002", "24c02";
> > 
> > "renesas,r1ex24002"?
> > 
> > I don't think the "A" is relevant (<= 64 is A, >= 128 is B).
> > 
> > http://www.renesas.com/products/memory/eeprom/product_selector.jsp
> 
> Thanks.
> 
> It seems to me that we have some consensus around:
> 
> 	compatible = "renesas,r1ex24002", "24c02";

Thinking again, "generic,24c02" or "generic-24c02" could also be an
option.

> Should this be added to Documentation/devicetree/bindings/eeprom/eeprom.txt ?
> Or documented elsewhere?

Probably we need a DT maintainers advice here? I don't mind vendor
specific compatibles being documented, but I'm reluctant to add all
these compatibles for the myriads of I2C eeproms to the at24 driver. 99%
are covered by the generic case.

Adding DT to CC.

Thanks,

   Wolfram

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 819 bytes
Desc: Digital signature
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20151218/0f224d37/attachment.sig>